Package io.dapr.v1

# Interface DaprAppCallbackProtos.TopicEventRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.TopicEventRequest`, `DaprAppCallbackProtos.TopicEventRequest.Builder`

Enclosing class:
  DaprAppCallbackProtos

public static interface DaprAppCallbackProtos.TopicEventRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`com.google.protobuf.ByteString`
`getData()`
The content of the event.
`String`
`getDataContentType()`
The content type of data value.
`com.google.protobuf.ByteString`
`getDataContentTypeBytes()`
The content type of data value.
`com.google.protobuf.Struct`
`getExtensions()`
The map of additional custom properties to be sent to the app.
`com.google.protobuf.StructOrBuilder`
`getExtensionsOrBuilder()`
The map of additional custom properties to be sent to the app.
`String`
`getId()`
id identifies the event.
`com.google.protobuf.ByteString`
`getIdBytes()`
id identifies the event.
`String`
`getPath()`
The matching path from TopicSubscription/routes (if specified) for this event.
`com.google.protobuf.ByteString`
`getPathBytes()`
The matching path from TopicSubscription/routes (if specified) for this event.
`String`
`getPubsubName()`
The name of the pubsub the publisher sent to.
`com.google.protobuf.ByteString`
`getPubsubNameBytes()`
The name of the pubsub the publisher sent to.
`String`
`getSource()`
source identifies the context in which an event happened.
`com.google.protobuf.ByteString`
`getSourceBytes()`
source identifies the context in which an event happened.
`String`
`getSpecVersion()`
The version of the CloudEvents specification.
`com.google.protobuf.ByteString`
`getSpecVersionBytes()`
The version of the CloudEvents specification.
`String`
`getTopic()`
The pubsub topic which publisher sent to.
`com.google.protobuf.ByteString`
`getTopicBytes()`
The pubsub topic which publisher sent to.
`String`
`getType()`
The type of event related to the originating occurrence.
`com.google.protobuf.ByteString`
`getTypeBytes()`
The type of event related to the originating occurrence.
`boolean`
`hasExtensions()`
The map of additional custom properties to be sent to the app.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getId

String getId()

     id identifies the event. Producers MUST ensure that source + id
     is unique for each distinct event. If a duplicate event is re-sent
     (e.g. due to a network error) it MAY have the same id.

`string id = 1;`

Returns:
  The id.

### getIdBytes

com.google.protobuf.ByteString getIdBytes()

     id identifies the event. Producers MUST ensure that source + id
     is unique for each distinct event. If a duplicate event is re-sent
     (e.g. due to a network error) it MAY have the same id.

`string id = 1;`

Returns:
  The bytes for id.

### getSource

String getSource()

     source identifies the context in which an event happened.
     Often this will include information such as the type of the
     event source, the organization publishing the event or the process
     that produced the event. The exact syntax and semantics behind
     the data encoded in the URI is defined by the event producer.

`string source = 2;`

Returns:
  The source.

### getSourceBytes

com.google.protobuf.ByteString getSourceBytes()

     source identifies the context in which an event happened.
     Often this will include information such as the type of the
     event source, the organization publishing the event or the process
     that produced the event. The exact syntax and semantics behind
     the data encoded in the URI is defined by the event producer.

`string source = 2;`

Returns:
  The bytes for source.

### getType

String getType()

     The type of event related to the originating occurrence.

`string type = 3;`

Returns:
  The type.

### getTypeBytes

com.google.protobuf.ByteString getTypeBytes()

     The type of event related to the originating occurrence.

`string type = 3;`

Returns:
  The bytes for type.

### getSpecVersion

String getSpecVersion()

     The version of the CloudEvents specification.

`string spec_version = 4;`

Returns:
  The specVersion.

### getSpecVersionBytes

com.google.protobuf.ByteString getSpecVersionBytes()

     The version of the CloudEvents specification.

`string spec_version = 4;`

Returns:
  The bytes for specVersion.

### getDataContentType

String getDataContentType()

     The content type of data value.

`string data_content_type = 5;`

Returns:
  The dataContentType.

### getDataContentTypeBytes

com.google.protobuf.ByteString getDataContentTypeBytes()

     The content type of data value.

`string data_content_type = 5;`

Returns:
  The bytes for dataContentType.

### getData

com.google.protobuf.ByteString getData()

     The content of the event.

`bytes data = 7;`

Returns:
  The data.

### getTopic

String getTopic()

     The pubsub topic which publisher sent to.

`string topic = 6;`

Returns:
  The topic.

### getTopicBytes

com.google.protobuf.ByteString getTopicBytes()

     The pubsub topic which publisher sent to.

`string topic = 6;`

Returns:
  The bytes for topic.

### getPubsubName

String getPubsubName()

     The name of the pubsub the publisher sent to.

`string pubsub_name = 8;`

Returns:
  The pubsubName.

### getPubsubNameBytes

com.google.protobuf.ByteString getPubsubNameBytes()

     The name of the pubsub the publisher sent to.

`string pubsub_name = 8;`

Returns:
  The bytes for pubsubName.

### getPath

String getPath()

     The matching path from TopicSubscription/routes (if specified) for this event.
     This value is used by OnTopicEvent to "switch" inside the handler.

`string path = 9;`

Returns:
  The path.

### getPathBytes

com.google.protobuf.ByteString getPathBytes()

     The matching path from TopicSubscription/routes (if specified) for this event.
     This value is used by OnTopicEvent to "switch" inside the handler.

`string path = 9;`

Returns:
  The bytes for path.

### hasExtensions

boolean hasExtensions()

     The map of additional custom properties to be sent to the app. These are considered to be cloud event extensions.

`.google.protobuf.Struct extensions = 10;`

Returns:
  Whether the extensions field is set.

### getExtensions

com.google.protobuf.Struct getExtensions()

     The map of additional custom properties to be sent to the app. These are considered to be cloud event extensions.

`.google.protobuf.Struct extensions = 10;`

Returns:
  The extensions.

### getExtensionsOrBuilder

com.google.protobuf.StructOrBuilder getExtensionsOrBuilder()

     The map of additional custom properties to be sent to the app. These are considered to be cloud event extensions.

`.google.protobuf.Struct extensions = 10;`